Bizzare error with detached iOS project


#1

Hello,

I’m getting a bizarre error where the code between my Build and Archive are different. The archived version is being built with old javascript code from somewhere but my Build is my latest javascript code. Has anyone dealt with this before?


#2

Hi @hironarita, what do you mean by Archive’d code? Also, when you build a standalone app, it will embed the javascript in your current project directory. However, on future publishes of your JS releases, your standalone app will attempt to grab these most recent versions if it can.


#3

So by archive’d, I mean the .ipa that gets built for distribution. And by Build, I mean the code that gets compiled while I’m in development.


#4

hey @hironarita, this might be because you tried to downgrade SDK versions, which we don’t support. Could you share your published URL with us?


#5

@quinlanj I downgraded my SDK version because I had to downgrade my React-Native and React in order to get it to work with one of my libraries. I’m going to try and see if I can run the most recent ExpoKit version with an older React version. Where can I find my published URL?


#6

when you go to your expo account, you should be able to see a list of apps that you’ve published, (ie) https://expo.io/@quinlanj/test


#7

@quinlanj exp://exp.host/@hnarita/renter-app

Went back to SDK 22.0.0… Getting a “Module AppRegistry is not a registered callable module (calling runApplication)”


#8

AppRegistry is coming from react-native. Grep around for where it gets used. You might be missing an import or calling it wrong.


#9

@quinlanj I need to go back to SDK 21 to use the older RN version.

Is it possible you guys could clear the SDK from my project so that I could go back to SDK 21?

https://expo.io/@hironarita/renter-app


#10

Saw that we could make requests in this post.